Bug 114793 - Gnome does not display emergency messages sent to their default syslog destination leading to possible loss of data
Gnome does not display emergency messages sent to their default syslog destin...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gnome-core (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 18:12 EST by Mike MacCana
Modified: 2015-01-07 19:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 10:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2004-02-02 18:12:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
Gnome, by default, doesn't monitor the console. Critical messages sent by syslog to * will not appear on screen. These can include emergency priority warnings notifying users about impending loss of data.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log into Gnome
2.Have some kind of hardware failure, security incident, or other emergency level problem occur
    

Actual Results:  The user is given no notification of the problem or warning of the impending problem unless they specifically are aware of this issue and open a console.

Expected Results:  Gnome should monitor the console and pop up messages sent there. 

Additional info:

This also effects other applications, eg, the write / wall commands (which are often used in scripts to warn users of relevant issues).

KDE already gives the expected results.

An example data loss scenerio would be an overheating hard disk. Emergency messages from the kernel are sent to the console. A user logged into a virtual terminal or KDE will be warned of errors reading the device. A user running Gnome will continue working as the hard drive overheats unless they were already aware a problem may occur.
Comment 1 Suzanne Hillman 2004-02-06 14:48:37 EST
Internal RFE bug #115119 has been entered; will be considered for
future releases.
Comment 2 Mike MacCana 2004-12-01 19:11:59 EST
'Not causing loss of data' isn't a feature. 

Note You need to log in before you can comment on or make changes to this bug.